#include<bits/stdc++.h>
using namespace std;
ifstream f1("DEMPT.inp");
ofstream f2("DEMPT.out");
long long n,m,i,j,a[200000],d[200000],b[200000];
void nhap()
{
	f1>>n;
	for(i=1;i<=n;i++)
	{
		f1>>a[i];
		d[a[i]]=1;
	}
	f1>>m;
	for(i=1;i<=m;i++)
	{
		f1>>b[i];
	}
}
int main()
{
	long long count=0;
	nhap();
	for(i=1;i<=m;i++)
	{
		if(d[b[i]]==1)
		count++;
	}
	f2<<count;
}

